<?php

namespace Drupal\dynamic_queues\Plugin\QueueWorker;

use Drupal\Core\Plugin\ContainerFactoryPluginInterface;
use Drupal\Core\Queue\QueueWorkerBase;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Dynamic Queues config.
 *
 * @QueueWorker(
 *   id = "dynamic_queues",
 *   title = @Translation("Dynamic Queues"),
 *   cron = {"time" = 60},
 *     deriver = "Drupal\dynamic_queues\Plugin\Derivative\DynamicQueuesDerivative",
 * )
 */
class DynamicQueues extends QueueWorkerBase implements ContainerFactoryPluginInterface {

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container, array $configuration, $plugin_id, $plugin_definition) {
    $instance = new static($configuration, $plugin_id, $plugin_definition);
    return $instance;
  }

  /**
   * {@inheritdoc}
   */
  public function processItem($item) {
    // Code here.
  }

}
